# TODO:
# building doc requires pygit2 installed in system
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_without	doc	# documentation

%define		module		pygit2
%define		egg_name	pygit2
%define		pypi_name	pygit2
Summary:	Python 2.x bindings for libgit2 library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki libgit2
Name:		python-%{module}
Version:	0.26.1
Release:	2
License:	GPL v2 with linking exception
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/pygit2/
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	961b53b62c36c8ef9df3cc4e5884f039
Patch0:		%{name}-docbuild.patch
Patch1:		0001-Remove-remote-calling-unit-tests.patch
URL:		https://pypi.python.org/pypi/pygit2
BuildRequires:	libgit2-devel >= 0.26.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-cffi >= 1.8.1
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-cffi >= 1.8.1
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
%{?with_doc:BuildRequires:     sphinx-pdg}
Requires:	libgit2 >= 0.24.0
Requires:	python-cffi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pygit2 is a set of Python bindings to the libgit2 shared library.

%description -l pl.UTF-8
pygit2 to zbiór wiązań Pythona do biblioteki współdzielonej libgit2.

%package -n python3-%{module}
Summary:	Python 3.x bindings for libgit2 library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libgit2
Group:		Libraries/Python
Requires:	libgit2 >= 0.24.0
Requires:	python3-cffi

%description -n python3-%{module}
pygit2 is a set of Python bindings to the libgit2 shared library.

%description -n python3-%{module} -l pl.UTF-8
pygit2 to zbiór wiązań Pythona do biblioteki współdzielonej libgit2.

%package apidocs
Summary:	pygit2 module API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu pygit2
Group:		Documentation
Obsoletes:	python-pygit2-apidoc < 0.24.0-2
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for pygit2 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu pygit2.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build
%{?with_tests:%py_build test}
%endif

%if %{with python3}
%py3_build
%{?with_tests:%py3_build test}
%endif

%if %{with doc}
cd docs
PACKAGE_BUILD=../build-2 \
%{__make} -j1 html
%{__rm} -r _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if%{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc COPYING README.rst TODO.txt
%dir %{py_sitedir}/pygit2
%{py_sitedir}/pygit2/*.py[co]
%{py_sitedir}/pygit2/decl.h
%attr(755,root,root) %{py_sitedir}/pygit2/_libgit2.so
%attr(755,root,root) %{py_sitedir}/_pygit2.so
%{py_sitedir}/pygit2-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc COPYING README.rst TODO.txt
%dir %{py3_sitedir}/pygit2
%{py3_sitedir}/pygit2/decl.h
%{py3_sitedir}/pygit2/*.py
%{py3_sitedir}/pygit2/__pycache__
%attr(755,root,root) %{py3_sitedir}/pygit2/_libgit2.abi3.so
%attr(755,root,root) %{py3_sitedir}/_pygit2.cpython-*.so
%{py3_sitedir}/pygit2-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Wed Nov 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygit2.git;a=log;h=master

* Wed Nov 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e11402b
- rel 2; disable network tests from FC

* Wed Nov 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 11a6130
- up to 0.26.1

* Fri Apr 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 1b7c38d
- adjusted for cffi 1.8.1+

* Tue Mar 28 2017 Jan Rękorajski <baggins@pld-linux.org> 7764984
- up to 0.25.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 10ff447
- python 3.6
- release 2 (by relup.sh)

* Sat Dec 10 2016 Elan Ruusamäe <glen@delfi.ee> dedf2ec
- use pythonhosted for sane url

* Fri Dec 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 1c3eeac
- updated to 0.24.2

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 4dc1355
- unify apidocs package name, build noarch

* Mon Mar 21 2016 Jakub Bogusz <qboosh@pld-linux.org> e209e12
- updated to 0.24.0
- added python2 bcond

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> eff4580
- fix br dep

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> e269d40
- up to 0.23.3

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 9630e8c
- unify doc bcond name

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> d127099
- fix build with new py macros

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> da8a102
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4b0cff0
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 859cf23
- automatic change: use py_build/py_install macros

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 067cd5a
- updated to 0.23.2
- removed obsolete 487 patch

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c94be27
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b9ad5f
- python 3.5 rebuild
- release 3 (by relup.sh)

* Thu Mar 05 2015 Jakub Bogusz <qboosh@pld-linux.org> e507b98
- requires cffi now

